import 'package:cpt_auth/modules/login/login_page.dart';
import 'package:cpt_auth/modules/reset_psd/reset_psd_page.dart';
import 'package:cpt_auth/modules/setting/setting_page.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/auth_service.dart';
import 'package:shared/utils/log_utils.dart';

class AuthServiceImpl extends GetxService implements AuthService {
  @override
  void onInit() {
    super.onInit();
    //初始化资源
    Log.d("AuthServiceImpl 初始化资源");
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
    Log.d("AuthServiceImpl 销毁资源");
  }

  //默认启动登录页面
  @override
  void startLoginPage() {
    LoginPage.startInstance();
  }

  //启动登录页面并关闭其他全部页面
  @override
  void startPopAllLoginPage() {
    LoginPage.startWithPopAll();
  }

  //默认启动重置密码页面
  @override
  void startResetPasswordPage() {
    ResetPasswordPage.startInstance();
  }


  @override
  void startSettingPage() {
    SettingPage.startInstance();
  }
}
